For the complete documentation index, see llms.txt. This page is also available as Markdown.

Subscription

get
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Query parameters
_prettybooleanOptional
_summarystringOptional
Responses
200

FHIR Resource Subscription

objectOptional

FHIR Resource Subscription

get/Subscription/{id}
GET /fhir/Subscription/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}
put
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Body
objectOptional

FHIR Resource Subscription

Responses
200

FHIR Resource Subscription

objectOptional

FHIR Resource Subscription

put/Subscription/{id}
PUT /fhir/Subscription/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2

{}
{}
delete
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional
Responses
200

FHIR Resource Subscription

objectOptional

FHIR Resource Subscription

delete/Subscription/{id}
DELETE /fhir/Subscription/{id} HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}
get
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Responses
200

FHIR Resource Bundle

objectOptional

FHIR Resource Bundle

get/Subscription
GET /fhir/Subscription HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{}
post
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Body
objectOptional

FHIR Resource Subscription

Responses
201

FHIR Resource Subscription

objectOptional

FHIR Resource Subscription

post/Subscription
POST /fhir/Subscription HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2

{}
{}
post
Required scopes
This endpoint requires the following scopes:
  • : Login
Authorizations
OAuth2passwordRequired
Token URL:
Body
objectOptional

FHIR Resource Parameters

Responses
200

FHIR Resource Subscription

objectOptional

FHIR Resource Subscription

post/Subscription/$validate
POST /fhir/Subscription/$validate HTTP/1.1
Host: ims-ncc1701.santesuite.net:8443
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/fhir+json
Accept: */*
Content-Length: 2

{}
{}

Last updated

Was this helpful?